/***********************************************************************************
ListaFontes.java - Cdigo para listar as fontes

Direitos Autorais Reservados (c) 2006 Embrapa Informtica Agropecuria

Este programa  software livre; voc pode redistribu-lo e/ou modific-lo sob os
termos da Licena Pblica Geral GNU conforme publicada pela Free Software
Foundation; tanto a verso 2 da Licena, como (a seu critrio) qualquer verso
posterior.

Este programa  distribudo na expectativa de que seja til, porm, SEM NENHUMA
GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU ADEQUAO A UMA
FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral do GNU para mais detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto com este
programa; se no, escreva para a Free Software Foundation, Inc., no endereo 59
Temple Street, Suite 330, Boston, MA 02111-1307 USA.

**********************************************************************************

Parte integrante do software 'Processamento de Imagens Digitais'

Descrio:

    Cdigo para listar as fontes.

Parmetros de entrada:

  Nenhum.

Sada:

  Lista de fontes disponveis.

Desenvolvido por:

    Jos Iguelmar Miranda

Informaes do CVS:
       $Source$:
       $Revision$:
       $Date$:

***********************************************************************************/

// pacotes do AWT
import java.awt.GraphicsEnvironment;
import java.awt.Font;

public class ListaFontes {

   public static void main(String args[]) {
      GraphicsEnvironment env = GraphicsEnvironment.getLocalGraphicsEnvironment();
      Font fontes[] = env.getAllFonts();
      for (int i = 0; i < fontes.length; i++) {
        Font f = fontes[i];
        System.out.println(f.getName());
      }
   }
}

