/***********************************************************************************
Push.java - Cdigo para testar o mtodo push do AWT

Direitos Autorais Reservados (c) 2006 Embrapa Informtica Agropecuria

Este programa  software livre; voc pode redistribu-lo e/ou modific-lo sob os
termos da Licena Pblica Geral GNU conforme publicada pela Free Software
Foundation; tanto a verso 2 da Licena, como (a seu critrio) qualquer verso
posterior.

Este programa  distribudo na expectativa de que seja til, porm, SEM NENHUMA
GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU ADEQUAO A UMA
FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral do GNU para mais detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto com este
programa; se no, escreva para a Free Software Foundation, Inc., no endereo 59
Temple Street, Suite 330, Boston, MA 02111-1307 USA.

**********************************************************************************

Parte integrante do software 'Processamento de Imagens Digitais'

Descrio:

    Cdigo para testar o mtodo push, para leitura de imagem, do AWT.

Parmetros de entrada:

  1. nome do arquivo imagem.

Sada:

  Imprime valores de altura e largura da imagem.

Desenvolvido por:

    Jos Iguelmar Miranda

Informaes do CVS:
       $Source$:
       $Revision$:
       $Date$:

***********************************************************************************/

// pacotes do AWT
import java.awt.Toolkit;
import java.awt.Image;

public class Push {

   public static void main(String args[]) {

     // Certifica a passagem da imagem como parmetro
     if (args.length != 1) {
        System.out.println("Uso: java -cp . Push <arquivo_imagem>");
        System.exit(0);
     }

     Push p = new Push();
     p.load(args[0]);
   }

   public void load(String filename) {
     Image imagem;

     // Carrega imagem
     imagem = Toolkit.getDefaultToolkit().getImage(filename);

     // Recupera largura e altura da imagem
     int w = imagem.getWidth(null);
     int h = imagem.getHeight(null);
     System.out.println(w + ", " + h);
   }

}

