/***********************************************************************************
FFTException.java - Exception thrown by ImageFFT objects

  Written by Nick Efford.

  Copyright (c) 2000, Pearson Education Ltd.  All rights reserved.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE
  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

**********************************************************************************

Parte integrante do software 'Processamento de Imagens Digitais'

Descrio:

    Exception thrown by ImageFFT objects.
    @author Nick Efford
    @version 1.1 [1999/08/01]
    @see ImageFFT
    @see OperationException

Informaes do CVS:
       $Source$:
       $Revision$:
       $Date$:

***************************************************************************/

/**
 * Exception thrown by ImageFFT objects.
 *
 * @author Nick Efford
 * @version 1.1 [1999/08/01]
 * @see ImageFFT
 * @see OperationException
 */

public class FFTException extends OperationException {
  public FFTException() {}
  public FFTException(String message) { super(message); }
}
